# TOC annotator

## Dependencies
- [https://colmap.github.io/install.html](https://colmap.github.io/install.html)
- [https://github.com/cvg/Hierarchical-Localization](https://github.com/cvg/Hierarchical-Localization)
    - + its superglue submodule

## Alternately, use docker
```
docker build -t toc_annotator:latest .
docker run -it \
    --net=host --runtime=nvidia --gpus all --env NVIDIA_VISIBLE_DEVICES=all \
    --env NVIDIA_DRIVER_CAPABILITIES=compute,utility,graphics,display --env LD_LIBRARY_PATH=/usr/local/nvidia/lib64 \
    --env DISPLAY --env VIDEO_GROUP_ID=`getent group video | awk -F: '{printf $$3}'` \
    --env PYTHONPATH=/Hierarchical-Localization/third_party \
    --volume="$HOME/.Xauthority:/root/.Xauthority:rw" \
    --volume /tmp/.X11-unix:/tmp/.X11-unix --volume /dev/dri:/dev/dri --volume /dev/shm:/dev/shm \
    --volume <dataset_root>:/dataset toc_annotator:latest bash
```

## Run texture-rich pipeline
```
bash run_full_sift.sh <dataset_root> <scene_name>
```

## Run textureless pipeline
```
bash run_textureless.sh <dataset_root> <scene_name>
```

## Run manual annotation
```
python manual_annotator/manual_annotator.py --data_dir=<data_dir>
```

