import numpy as np
import open3d as o3d


WORKSPACE_MIN_X = 0.12
WORKSPACE_MAX_X = 0.75
WORKSPACE_MIN_Y = -0.62
WORKSPACE_MAX_Y = 0.62
WORKSPACE_MIN_Z = 0.015
WORKSPACE_MAX_Z = 4.0


def get_workspace_bounding_box():
    box_corners = np.asarray([
        [WORKSPACE_MIN_X, WORKSPACE_MIN_Y, WORKSPACE_MIN_Z],
        [WORKSPACE_MAX_X, WORKSPACE_MIN_Y, WORKSPACE_MIN_Z],
        [WORKSPACE_MIN_X, WORKSPACE_MAX_Y, WORKSPACE_MIN_Z],
        [WORKSPACE_MAX_X, WORKSPACE_MAX_Y, WORKSPACE_MIN_Z],
        [WORKSPACE_MIN_X, WORKSPACE_MIN_Y, WORKSPACE_MAX_Z],
        [WORKSPACE_MAX_X, WORKSPACE_MIN_Y, WORKSPACE_MAX_Z],
        [WORKSPACE_MIN_X, WORKSPACE_MAX_Y, WORKSPACE_MAX_Z],
        [WORKSPACE_MAX_X, WORKSPACE_MAX_Y, WORKSPACE_MAX_Z],
    ])
    return o3d.geometry.AxisAlignedBoundingBox.create_from_points(
        o3d.utility.Vector3dVector(box_corners)
    )
