from pathlib import Path
import shutil
import argparse

parser = argparse.ArgumentParser()

parser.add_argument(
    '--dataset-root', type=Path,
)

args = parser.parse_args()
args_dict = args.__dict__
dataset_root = args_dict['dataset_root']

scene_list_path = Path('../dataset/scene_name_list.txt')
with scene_list_path.open('r') as scene_list_file:
    scene_list = scene_list_file.read().splitlines()
    scene_list_file.close()

src_camK_path = 'color_camK.npy'
src_camD_path = 'color_cam_distortion_coeffs.npy'

with scene_list_path.open('a') as scene_list_file:
    for scene_path in (dataset_root/'scenes').iterdir():
        dest_camK_path = scene_path/'color_camK.npy'
        dest_camD_path = scene_path/'color_cam_distortion_coeffs.npy'
        if scene_list.count(scene_path.name) == 0:
            scene_list_file.write('{}\n'.format(scene_path.name))
        if not dest_camK_path.exists():
            shutil.copyfile(src_camK_path, str(dest_camK_path))
        if not dest_camD_path.exists():
            shutil.copyfile(src_camD_path, str(dest_camD_path))
