#!/usr/bin/env bash

DATASET_ROOT=$1
SCENE_NAME=$2
RESIZE_FACTOR=2

# undistort images
python undistort_images.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
    --resize-factor "$RESIZE_FACTOR"
retVal=$?
if [ $retVal -ne 0 ]; then
    echo "Error in undistort"
    exit $retVal
fi

# visulize poses
python visualize_poses.py  \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
    --resize-factor "$RESIZE_FACTOR"
retVal=$?
if [ $retVal -ne 0 ]; then
    echo "Error in visualize poses"
    exit $retVal
fi