import os
import sys
import argparse
import subprocess
sys.path.append('dataset_toolkit')
from toc_dataset_toolkit import TOC_Dataset
from sfm import main
from pathlib import Path
from renderer import main as main_render
from pose_estimation import main as main_pose

parser = argparse.ArgumentParser()
parser.add_argument('--scene_id', type=int, required=True)
args = parser.parse_args()

dataset_root='/root/3d_dataset'
scene_id=args.scene_id
dataset = TOC_Dataset(root=dataset_root)
scene_name_list = dataset.load_scene_name_list()
scene_name=scene_name_list[scene_id]

image_dir='/root/3d_dataset/scenes/{}/all_images'.format(scene_name)
out_dir='/root/3d_dataset/scenes/{}/colmap_output_bin'.format(scene_name)
if not os.path.exists(out_dir):
    os.makedirs(out_dir)
main(Path(image_dir), Path(out_dir), False)

out_dir_txt=Path(
    '/root/3d_dataset/scenes/{}/colmap_output_all_images_2' \
        .format(scene_name)
)
out_dir_txt.mkdir(exist_ok=True)
cmd = [
    'colmap', 'model_converter',
    # Note: the largest model might not always be model 0
    # TODO: use the largest model
    '--input_path', str(out_dir / 'sfm_superpoint+superglue' / 'models' / '0'),
    '--output_path', str(out_dir_txt),
    '--output_type', 'TXT'
]
ret = subprocess.call(cmd)
if ret != 0:
    print('Problem with model converter, exiting.')
    exit(ret)

main_pose(Path(dataset_root), scene_id)
